
#ifndef _SKYDOME_H_
#define _SKYDOME_H_

//-----------------------------------
//CUSTOMVERTEX
//------------------------------------
struct CUSTOMVERTEXSKYDOME
{
    float x,y,z;
    float u, v;   
};

//CUSTOMVERTEXT
#define D3DFVF_CUSTOMVERTEXSKYDOME (D3DFVF_XYZ|D3DFVF_TEX1)

//--------------------------------------------------------------------
// Name: SkyDome Class
// Desc: ************
//--------------------------------------------------------------------
class SKYDOME
{

private:

	//vertex buffer
	LPDIRECT3DVERTEXBUFFER9 g_pVB ; 
	//textura
	LPDIRECT3DTEXTURE9    g_pTexture; 

	//pocet vertexov
	int NumVer;

public:

	SKYDOME();
	~SKYDOME();

	float Rotation;  //Yaw
	VECTOR3D Pos;    //pozicia
	VECTOR3D Sca;    //scale

	void CreateSkyDome(float radius, float dtheta, float dphi, float hTile, float vTile);
	void LoadTexture(char *FileName);
	void Render();

};


#endif _SKYDOME_H_